// Using all over the place

// Container
.container {
  max-width: $max-width;
  margin: auto;
  overflow: hidden;
  padding: 0 2rem;
  margin-top: 6rem;
  margin-bottom: 3rem;
}

// Text Styles
.x-large {
  font-size: 4rem;
  line-height: 1.2;
  margin-bottom: 1rem;
}

.large {
  font-size: 3rem;
  line-height: 1.2;
  margin-bottom: 1rem;
}

.lead {
  font-size: 1.5rem;
  line-height: 1.2;
  margin-bottom: 1rem;
}

.text-primary {
  color: $primary-color;
}

// Backgrounds
.bg {
  &-primary {
    @include set-background($primary-color);
  }
  &-light {
    @include set-background($light-color);
    border: #ccc 1px solid;
  }
  &-dark {
    @include set-background($dark-color);
  }
  &-danger {
    @include set-background($danger-color);
  }
  &-success {
    @include set-background($success-color);
  }
  &-white {
    @include set-background(white);
    border: #ccc 1px solid;
  }
}

//Buttons
.btn {
  text-transform: uppercase;
  font-size: 0.7rem;
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
  // display: inline-block;
  background: white;
  color: black;
  padding: 0.5rem 1.6rem;
  border: none;
  cursor: pointer;
  margin: 0.375rem;
  outline: none;
  transition: all 0.2s ease-in;
  border-radius: 0.135rem;

  &.btn-primary {
    @include set-background($primary-color);
  }
  &.btn-dark {
    @include set-background($dark-color);
  }
  &.btn-danger {
    @include set-background($danger-color);
  }
  &.btn-success {
    @include set-background($success-color);
  }
  &:hover {
    // background: lighten(black, 50%);
    // color: white;
    box-shadow: 0 5px 11px 0 rgba(0, 0, 0, 0.18),
      0 4px 15px 0 rgba(0, 0, 0, 0.15);
  }
}

// Alerts
.alert {
  padding: 0.8rem;
  margin: 1rem;
  opacity: 0.9;
  background: $light-color;
  color: #333333;

  &.alert-primary {
    @include set-background($primary-color);
  }

  &.alert-dark {
    @include set-background($dark-color);
  }

  &.alert-danger {
    @include set-background($danger-color);
  }
  &.alert-success {
    @include set-background($success-color);
  }
}

.dark-overlay {
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.5);
  opacity: 0;
  z-index: 20;
}

.darken {
  opacity: 0.5;
  transition-property: opacity;
  transition-duration: 2s;
  transition-timing-function: ease;
}

.lighten {
  opacity: 0;
  transition-property: opacity;
  transition-duration: 1s;
  transition-timing-function: ease;
}
